Bug 779662 - (SOA-2028) JmsConnectionPool searches for associated JmsSessionPool by sequentially iterating over JmsSessions
JmsConnectionPool searches for associated JmsSessionPool by sequentially iter...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-06 08:58 EDT by Kevin Conner
Modified: 2010-06-15 03:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-31 05:07:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2028 None None None Never

  None (edit)
Description Kevin Conner 2010-04-06 08:58:09 EDT
Date of First Response: 2010-05-31 05:07:05
project_key: SOA
Comment 1 Kevin Conner 2010-04-06 08:58:42 EDT
Link: Added: This issue depends JBESB-3263
Comment 2 Kevin Conner 2010-04-26 05:03:55 EDT
Updated in ESB, will be in next merge.
Comment 3 Jiri Pechanec 2010-05-31 05:07:05 EDT
Verified in CR1 sources
Comment 4 Darrin Mison 2010-06-09 00:27:49 EDT
More info required for SOA 5.0.2 release notes:

This is purely a performance fix ?

JmsConnectionPool now searchs for associated JmsSessionPools by ???
Comment 5 Kevin Conner 2010-06-09 04:39:26 EDT
Yes, this is a performance fix.  The sessions now contain a reference to their associated pool, using this rather than a search of all the pools.
Comment 6 Darrin Mison 2010-06-15 03:10:57 EDT
Added to the SOA 5.0.2 release notes as resolved:

JBESB-3263
JmsConnectionPool searched for associated JmsSessionPools by sequentially iterating over all JmsSessions.
JmsSession now contains a reference to its associated pool so this search does not have to be done.  This provides
faster performance.

Note You need to log in before you can comment on or make changes to this bug.